Package org.apache.sysds.runtime.io.hdf5

# Class H5RootObject

java.lang.Object
org.apache.sysds.runtime.io.hdf5.H5RootObject

public class H5RootObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`H5BufferBuilder`
`bufferBuilder`
`static final boolean`
`HDF5_DEBUG`

## Constructor Summary

Constructors
Constructor
Description
`H5RootObject()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int[]`
`getAxisPermutation()`
`BufferedOutputStream`
`getBufferedOutputStream()`
`H5ByteReader`
`getByteReader()`
`long`
`getCol()`
`byte`
`getDataLayoutClass()`
`byte`
`getDataLayoutVersion()`
`String`
`getDatasetName()`
`byte`
`getDataSpaceVersion()`
`int[]`
`getDimensions()`
`byte`
`getFillValueVersion()`
`byte`
`getGroupSymbolTableNodeVersion()`
`byte`
`getLocalHeapVersion()`
`int[]`
`getLogicalDimensions()`
`long`
`getMaxCol()`
`long`
`getMaxRow()`
`int[]`
`getMaxSizes()`
`byte`
`getObjectHeaderVersion()`
`byte`
`getObjectModificationTimeVersion()`
`int`
`getRank()`
`int[]`
`getRawDimensions()`
`long`
`getRow()`
`H5Superblock`
`getSuperblock()`
`ByteBuffer`
`readBufferFromAddress(long address, int length)`
`ByteBuffer`
`readBufferFromAddressNoOrder(long address, int length)`
`void`
`setBufferedOutputStream(BufferedOutputStream bufferedOutputStream)`
`void`
`setByteReader(H5ByteReader byteReader)`
`void`
`setCol(long col)`
`void`
`setDataLayoutClass(byte dataLayoutClass)`
`void`
`setDataLayoutVersion(byte dataLayoutVersion)`
`void`
`setDatasetName(String datasetName)`
`void`
`setDataSpaceVersion(byte dataSpaceVersion)`
`void`
`setDimensions(int[] dimensions)`
`void`
`setFillValueVersion(byte fillValueVersion)`
`void`
`setGroupSymbolTableNodeVersion(byte groupSymbolTableNodeVersion)`
`void`
`setLocalHeapVersion(byte localHeapVersion)`
`void`
`setMaxCol(long maxCol)`
`void`
`setMaxRow(long maxRow)`
`void`
`setMaxSizes(int[] maxSizes)`
`void`
`setObjectHeaderVersion(byte objectHeaderVersion)`
`void`
`setObjectModificationTimeVersion(byte objectModificationTimeVersion)`
`void`
`setRank(int rank)`
`void`
`setRow(long row)`
`void`
`setSuperblock(H5Superblock superblock)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bufferBuilder

public H5BufferBuilder bufferBuilder

### HDF5_DEBUG

public static final boolean HDF5_DEBUG

## Constructor Details

### H5RootObject

public H5RootObject()

## Method Details

### readBufferFromAddress

public ByteBuffer readBufferFromAddress(long address, int length)

### readBufferFromAddressNoOrder

public ByteBuffer readBufferFromAddressNoOrder(long address, int length)

### setByteReader

public void setByteReader(H5ByteReader byteReader)

### getByteReader

public H5ByteReader getByteReader()

### close

public void close()

### getBufferedOutputStream

public BufferedOutputStream getBufferedOutputStream()

### setBufferedOutputStream

public void setBufferedOutputStream(BufferedOutputStream bufferedOutputStream)

### getSuperblock

public H5Superblock getSuperblock()

### setSuperblock

public void setSuperblock(H5Superblock superblock)

### getRow

public long getRow()

### setRow

public void setRow(long row)

### getCol

public long getCol()

### setCol

public void setCol(long col)

### getRank

public int getRank()

### setRank

public void setRank(int rank)

### getMaxRow

public long getMaxRow()

### setMaxRow

public void setMaxRow(long maxRow)

### getMaxCol

public long getMaxCol()

### setMaxCol

public void setMaxCol(long maxCol)

### getDatasetName

public String getDatasetName()

### setDatasetName

public void setDatasetName(String datasetName)

### getDimensions

public int[] getDimensions()

### getLogicalDimensions

public int[] getLogicalDimensions()

### getMaxSizes

public int[] getMaxSizes()

### getRawDimensions

public int[] getRawDimensions()

### getAxisPermutation

public int[] getAxisPermutation()

### getDataSpaceVersion

public byte getDataSpaceVersion()

### setDataSpaceVersion

public void setDataSpaceVersion(byte dataSpaceVersion)

### setDimensions

public void setDimensions(int[] dimensions)

### setMaxSizes

public void setMaxSizes(int[] maxSizes)

### getObjectHeaderVersion

public byte getObjectHeaderVersion()

### setObjectHeaderVersion

public void setObjectHeaderVersion(byte objectHeaderVersion)

### getLocalHeapVersion

public byte getLocalHeapVersion()

### setLocalHeapVersion

public void setLocalHeapVersion(byte localHeapVersion)

### getFillValueVersion

public byte getFillValueVersion()

### setFillValueVersion

public void setFillValueVersion(byte fillValueVersion)

### getDataLayoutVersion

public byte getDataLayoutVersion()

### setDataLayoutVersion

public void setDataLayoutVersion(byte dataLayoutVersion)

### getDataLayoutClass

public byte getDataLayoutClass()

### setDataLayoutClass

public void setDataLayoutClass(byte dataLayoutClass)

### getObjectModificationTimeVersion

public byte getObjectModificationTimeVersion()

### setObjectModificationTimeVersion

public void setObjectModificationTimeVersion(byte objectModificationTimeVersion)

### getGroupSymbolTableNodeVersion

public byte getGroupSymbolTableNodeVersion()

### setGroupSymbolTableNodeVersion

public void setGroupSymbolTableNodeVersion(byte groupSymbolTableNodeVersion)